Subject: Re: [PATCH v3 00/16] add Intel X722 iWARP driver

From: Christoph Hellwig <[email-masked]>
Date: Mon, 4 Apr 2016 00:39:29 -0700

On Wed, Jan 20, 2016 at 01:40:00PM -0600, Faisal Latif wrote:
> This driver provides iWARP RDMA functionality for the Intel(R) X722 Ethernet
> controller for PCI Physical Functions. It is in early product cycle
> and having the driver in the kernel will allow users to have hardware support
> when available for purchase.

Just curious: how is this driver supposed to work?  It doesn't seem to
support FRWRs despite the iWarp spec requiring support for it.  It also
sets IB_DEVICE_MEM_MGT_EXTENSIONS despite the lack of this methods,
which will lead to instant crashes when using any of the usual drivers.

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html